# Class Tables

java.lang.Object
com.io7m.laurel.filemodel.internal.Tables

public class Tables extends Object
Convenience access to all tables in the default schema.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CaptionCategories`
  `CAPTION_CATEGORIES`
  The table `CAPTION_CATEGORIES`.
  `static final Captions`
  `CAPTIONS`
  The table `CAPTIONS`.
  `static final Categories`
  `CATEGORIES`
  The table `CATEGORIES`.
  `static final GlobalCaptions`
  `GLOBAL_CAPTIONS`
  The table `GLOBAL_CAPTIONS`.
  `static final ImageBlobs`
  `IMAGE_BLOBS`
  The table `IMAGE_BLOBS`.
  `static final ImageCaptions`
  `IMAGE_CAPTIONS`
  The table `IMAGE_CAPTIONS`.
  `static final ImageCaptionsCounts`
  `IMAGE_CAPTIONS_COUNTS`
  The table `IMAGE_CAPTIONS_COUNTS`.
  `static final Images`
  `IMAGES`
  The table `IMAGES`.
  `static final Metadata`
  `METADATA`
  The table `METADATA`.
  `static final Redo`
  `REDO`
  The table `REDO`.
  `static final SchemaVersion`
  `SCHEMA_VERSION`
  The table `SCHEMA_VERSION`.
  `static final Undo`
  `UNDO`
  The table `UNDO`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tables()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CAPTION_CATEGORIES

    public static final CaptionCategories CAPTION_CATEGORIES
    The table `CAPTION_CATEGORIES`.

  - ### CAPTIONS

    public static final Captions CAPTIONS
    The table `CAPTIONS`.

  - ### CATEGORIES

    public static final Categories CATEGORIES
    The table `CATEGORIES`.

  - ### GLOBAL_CAPTIONS

    public static final GlobalCaptions GLOBAL_CAPTIONS
    The table `GLOBAL_CAPTIONS`.

  - ### IMAGE_BLOBS

    public static final ImageBlobs IMAGE_BLOBS
    The table `IMAGE_BLOBS`.

  - ### IMAGE_CAPTIONS

    public static final ImageCaptions IMAGE_CAPTIONS
    The table `IMAGE_CAPTIONS`.

  - ### IMAGE_CAPTIONS_COUNTS

    public static final ImageCaptionsCounts IMAGE_CAPTIONS_COUNTS
    The table `IMAGE_CAPTIONS_COUNTS`.

  - ### IMAGES

    public static final Images IMAGES
    The table `IMAGES`.

  - ### METADATA

    public static final Metadata METADATA
    The table `METADATA`.

  - ### REDO

    public static final Redo REDO
    The table `REDO`.

  - ### SCHEMA_VERSION

    public static final SchemaVersion SCHEMA_VERSION
    The table `SCHEMA_VERSION`.

  - ### UNDO

    public static final Undo UNDO
    The table `UNDO`.

- ## Constructor Details

  - ### Tables

    public Tables()